Module | Sequel::SQL::BooleanMethods
In: | lib/sequel/sql.rb

This module includes the methods that are defined on objects that can be used in a boolean context in SQL (Symbol, LiteralString, SQL::Function, and SQL::BooleanExpression).

This defines the ~ (NOT), & (AND), and | (OR) methods.

### Methods

~

### Public Instance methods

~()

Create a new BooleanExpression with NOT, representing the inversion of whatever self represents.

[Source]

         # File lib/sequel/sql.rb, line 182
    182:       def ~
    183:         BooleanExpression.invert(self)
    184:       end

[Validate]